Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.cms.impl.jcr.jackrabbit
Class JackrabbitJCRService

    java.lang.Object
      org.jboss.portal.cms.impl.jcr.jackrabbit.JackrabbitJCRService

All Implemented Interfaces:
  JCRService

    public class JackrabbitJCRService

extends java.lang.Object
implements JCRService

Version:
  $Revision: 6469 $
Author:
  Julien Viet

Constructor Summary
`JackrabbitJCRService()`

Method Summary
`java.lang.String` | `getConfig()`
`java.lang.String` | `getHomeDir()`
`javax.jcr.Repository` | `getRepository()`
`java.lang.String` | `getRepositoryName()`
`javax.jcr.Session` | `login(java.lang.String user, java.lang.String password)`
`boolean` | `nodeTypesExist()` Check for existence of namespace nodetypes.
`void` | `setConfig(java.lang.String config)`
`void` | `setHomeDir(java.lang.String homeDir)`
`void` | `setRepositoryName(java.lang.String repositoryName)`
`void` | `start()`
`void` | `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JackrabbitJCRService

    public JackrabbitJCRService()

Method Detail

### getRepositoryName

    public java.lang.String getRepositoryName()

### setRepositoryName

    public void setRepositoryName(java.lang.String repositoryName)

### getConfig

    public java.lang.String getConfig()

### setConfig

    public void setConfig(java.lang.String config)

### getHomeDir

    public java.lang.String getHomeDir()

### setHomeDir

    public void setHomeDir(java.lang.String homeDir)

### start

    public void start()
               throws java.lang.Exception

  Specified by:
    `start` in interface `JCRService`
  Throws:
    `java.lang.Exception`

### stop

    public void stop()

  Specified by:
    `stop` in interface `JCRService`

### nodeTypesExist

    public boolean nodeTypesExist()
                           throws java.lang.Exception

  Check for existence of namespace nodetypes.

  Throws:
    `java.lang.Exception`

### login

    public javax.jcr.Session login(java.lang.String user,
                                   java.lang.String password)
                            throws java.lang.Exception

  Specified by:
    `login` in interface `JCRService`
  Throws:
    `java.lang.Exception`

### getRepository

    public javax.jcr.Repository getRepository()

  Specified by:
    `getRepository` in interface `JCRService`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.